Bug 1308835 - (CVE-2015-1776) CVE-2015-1776 hadoop: disclosure of encrypted data in Hadoop MapReduce
CVE-2015-1776 hadoop: disclosure of encrypted data in Hadoop MapReduce
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
: Security
Depends On: 1308836
Blocks: 1308838
  Show dependency treegraph
Reported: 2016-02-16 04:10 EST by Andrej Nemec
Modified: 2016-10-13 07:18 EDT (History)
7 users (show)

See Also:
Fixed In Version: hadoop 2.7.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-10-13 07:18:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andrej Nemec 2016-02-16 04:10:16 EST
The encryption key/secret used to encrypt the intermediate data
generated by an Apache Hadoop MapReduce job is stored as a token in
the job’s credentials and are subsequently serialized to disk (
without any additional encryption/protection ) into the machine's
local dirs.  A malicious user who has access to this credentials file
can load the tokens from the file, read the secret and then decrypt
the intermediate data which is also stored in machine local dirs.

External reference:

Comment 1 Andrej Nemec 2016-02-16 04:13:26 EST
Created hadoop tracking bugs for this issue:

Affects: fedora-all [bug 1308836]
Comment 2 Christopher Tubbs 2016-06-23 12:24:44 EDT
This vulnerability apply to a feature added to Hadoop in 2.6.x versions, which are not available in Fedora, which currently packages 2.4.1. The workaround is to avoid using this feature. The vulnerability is addressed in 2.7.x.

Note You need to log in before you can comment on or make changes to this bug.